<?php


if(! function_exists('waves_footer_credits') ) {
	function waves_footer_credits() { 
		printf( __('<p>Powered by <a href="%1$s">WordPress</a>', 'waves'), esc_url( 'http://wordpress.org/') );
		printf( '<span class="sep"> .</span>' );
		printf( __( 'Theme: Waves by <a href="%1$s" rel="designer">Webulous Themes</a></p>', 'waves' ), esc_url('https://www.webulousthemes.com/') );
    }  
}
	
	add_action('waves_credits','waves_footer_credits');

if(! function_exists('waves_before_branding_widgets') ) {
	function waves_before_branding_widgets() {
		?>
			<?php if( is_active_sidebar('top-right' ) ) : ?>
				<div class="social">
					<?php dynamic_sidebar('top-right' ); ?> 
				</div>
			<?php endif; ?>     
		<?php
	}
	
}
add_action('waves_before_branding','waves_before_branding_widgets');

/* MORE TEXT VALUE */

add_filter( 'the_content_more_link','waves_more_text_value');
if(! function_exists('waves_more_text_value') ) {
	function waves_more_text_value( ) {
		$more_text = get_theme_mod('more_text');
		if( $more_text && !empty( $more_text ) ) {
			$more_link_text = sprintf(__( '%1$s', 'waves' ), $more_text);
		}else{
			$more_link_text = __('Read More','waves');
		}
		return '<p class="portfolio-readmore"><a class="btn btn-mini more-link" href="' . get_permalink() . '">'.$more_link_text.'</a></p>';
	} 
}

/**
 * Configuration sample for the Kirki Customizer.
 * The function's argument is an array of existing config values
 * The function returns the array with the addition of our own arguments
 * and then that result is used in the kirki/config filter
 *
 * @param $config the configuration array
 *
 * @return array
 */

function waves_demo_configuration_sample_styling( $config ) {
	return wp_parse_args( array(
		'color_accent' => '#1fb2e2',
		'color_back'   => '#FFFFFF',
		'width'   => '320px',
	), $config );
}
add_filter( 'kirki/config', 'waves_demo_configuration_sample_styling' );    

add_action('waves_blog_layout_class_wrapper_before','waves_blog_layout_wrapper_class_before');
if(! function_exists('waves_blog_layout_wrapper_class_before') ) {

	function waves_blog_layout_wrapper_class_before() {
		$blog_layout = get_theme_mod('blog_layout',1 );
		switch ( $blog_layout ) {
			case 2: ?>
				<div class="eight columns blog-box">	
	<?php	break;
	        case 3: ?>
			    <div class="one-third column blog-box">
	<?php	break;
	        case 4: ?>
			    <div class="eight columns masonry-post blog-box">
	<?php	break;
			case 5: ?>  
			   <div class="one-third column masonry-post blog-box">	
	<?php	break;

		}
	}
}
   
add_action('waves_blog_layout_class_wrapper_after','waves_blog_layout_wrapper_class_after');
if(! function_exists('waves_blog_layout_wrapper_class_after') ) {
	function waves_blog_layout_wrapper_class_after() {
	    $blog_layout = get_theme_mod('blog_layout',1 );
		   if(  isset( $blog_layout ) && $blog_layout  > 1 ) { ?>
	          </div>
	<?php	}
	}
}

add_action('wp_head', 'waves_masonry_custom_js');
if(! function_exists('waves_masonry_custom_js') ) {

	function waves_masonry_custom_js() {

	  if( get_theme_mod('blog_layout',1) == 4 || get_theme_mod('blog_layout',1) == 5 ) { ?>

	    <script type="text/javascript">
		    jQuery(document).ready( function($) {   
				  $('.masonry-blog-content').imagesLoaded(function () {
			            $('.masonry-blog-content').masonry({
			                itemSelector: '.masonry-post',  
			                gutter: 0,
			                transitionDuration: 0,
			            }).masonry('reloadItems'); 
			      });
		    });
	    </script> 

<?php }
	}
}
